Skip to content

Örnek İstek & Yanıt ​

Void (İptal) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/Payment/Void

İstek Gövdesi (Request Body) ​

http
POST/api/Payment/Void
Headers:
  x_client_token: your_client_token_here  
  x_nonce: 0e72e797-3b4d-4c9e-be17-be453506108d
  x_timestamp: 20251209133409
  x_signature: generated_signature_hash
  Content-Type: application/json

{
    "processId": "73f9fb44-e649-401d-ab15-ce91574f7415",
    "orderId": "d6a8382b-a63e-4329-a488-7367847c4f8d",
    "lang": "TR",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test deneme"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "processId": "d412f456-1e31-45c9-a863-6bfca3cadbec",
        "orderId": "d6a8382b-a63e-4329-a488-7367847c4f8d",
        "resultMessage": "Approved. ",
        "resultCode": "",
        "procReturnCode": "00",
        "authCode": "022852",
        "secureType": "Non-3DS",
        "txnType": "Void",
        "cardMask": "54308115rlrgld23",
        "amount": 10000,
        "pointAmount": 1050,
        "installmentCount": 4,
        "merchantId": "000000001002585",
        "terminalId": "VP003636",
        "batchNo": 55145,
        "processDate": "2025-12-09T13:34:09.6931931+03:00",
        "rrn": "525915008478",
        "additionalInfo": "no: 123456789",
        "invoiceInfo": "test deneme",
        "ecommerceTxnType": 0,
        "txnInitiationType": 0
    }
}